package Asterisk::GenUtils;
use strict;

sub new {
   my $class = shift;
   my $self  = {};
   bless $self, $class;
   return $self;
}

sub cleanLine {
   my ( $self, $line ) = @_;
   $line =~ s/\;.+$//;
   return if $line =~ /^\;/;
   $line =~ s/^;.+$//;
   $line =~ s/^\s+|\s+$//;
   return $line;
}

sub readConfig {
   my ( $self, $configFile ) = @_;
   my @returnData;
   open( CONFIG, $configFile );
   while( <CONFIG> )
   {
      my $line = $self->cleanLine($_);
      if ( $line ) 
      {
         push @returnData, $line;
      }
   }   
   return @returnData;
}

1;
