# -----------------------------------------------------------------
# ASTERISK.pm
# -----------
# This is the superclass for all the other ASTERISK modules. It
# contains general functions as well.
# -----------------------------------------------------------------
# COPYRIGHT INFO GOES HERE
# -----------------------------------------------------------------
# Revision History:
# -----------------
# 05/06/2001 - Mike Patton <mpatton@acuitymedia.com>
#              Initial Development Version
# -----------------------------------------------------------------

package ASTERISK;
use strict;
use vars qw( @ISA );
@ISA = qw( ASTERISK::Phone );

# Constructor
sub new {
   my $class = shift;
   my $self  = {};
   bless $self, $class;
   $self->{phone} = new ASTERISK::Phone();
   return $self;
}

# -----------------------------------------------------------------
# readConfig()
# ------------
# This method reads the configuration file which is passed to it,
# and returns an array of file lines to be used elsewhere in the
# application.
# -----------------------------------------------------------------
sub readConfig {
   my ( $self, $configFile ) = @_;
   open(CONFIG, $configFile ) || die "Could not read config file $configFile";
   my @data = <CONFIG>;
   close(CONFIG);
   return @data;
}

1;
